> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Consent details



## OpenAPI

````yaml post /abdm/v1/consents/details
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/v1/consents/details:
    post:
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsentConsentDetailReq'
      responses:
        '204':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsentConsentDetailResp'
          description: No Content
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ConsentConsentDetailReq:
      properties:
        consent_id:
          type: string
        health_id:
          type: string
      type: object
    ConsentConsentDetailResp:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ConsentConsentDetailData'
          type:
            - array
            - 'null'
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    ConsentConsentDetailData:
      properties:
        care_contexts:
          items:
            $ref: '#/components/schemas/ConsentCareContextDetail'
          type:
            - array
            - 'null'
        hip:
          $ref: '#/components/schemas/ConsentHipDetail'
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
    ConsentCareContextDetail:
      properties:
        created_at:
          type: string
        display:
          type: string
        documents:
          items:
            $ref: '#/components/schemas/ConsentDocumentDetail'
          type: array
        id:
          type: string
        status:
          type: string
      type: object
    ConsentHipDetail:
      properties:
        id:
          type: string
        name:
          type: string
      type: object
    ConsentDocumentDetail:
      properties:
        fhir_url:
          type: string
        id:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````